Disable SSLInsecureRenegotiation by default
Status: Closed   

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 3.0.0   

Difficulty:  Fixed in Releases: 3.0.0

Triaged: No Found in Releases:  

Bugzilla link: 1950475 Red Hat JIRA:  

Pull request: https://github.com/theforeman/puppet-pul

p/pull/413

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1950475

By default SSLInsecureRenegotiation is enabled here:

~~~

[root@iridium ~]# vi /etc/httpd/conf.d/10-pulp.conf

1. allow older yum clients to connect, see bz 647828

SSLInsecureRenegotiation on

~~~

It looks like in bz 1174942 we already wanted to have this disabled, but it's still enabled by default even in Satellite 6.8.

If we still have reason to enable this by default then perhaps an installer option to disable it, or changing the value via custom-hiera if

it can be edited there.

Associated revisions

Revision 47971202 - 06/09/2021 01:03 PM - Paul Dudley

Fixes #32762 - Disable SSLInsecureRenegotiation

History

#1 - 06/08/2021 10:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/puppet-pulp/pull/413 added

#2 - 06/09/2021 01:03 PM - The Foreman Bot

- Fixed in Releases 3.0.0 added

#3 - 06/09/2021 02:08 PM - Paul Dudley

- Status changed from Ready For Testing to Closed

Applied in changeset puppet-pulp|4797120216bb5e79732825fd5f702c7541f8e64f.

#4 - 08/06/2021 05:07 PM - Amit Upadhye

- Category set to Foreman modules

- Target version set to 3.0.0
